#!/bin/bash

SIZES="24 48 72 96"

for size in ${SIZES}; do
    mkdir "${size}"
done

for file in scalable/*.png; do
    for size in ${SIZES}; do
        outfile="${size}/${file#*/}"
        echo "${outfile}"
        convert -resize "${size}x${size}" "${file}" "${outfile}"
     done
done

for file in scalable/*.svg; do
    for size in ${SIZES}; do
        outfile="${file%.*}.png"
        outfile="${size}/${outfile#*/}"
        echo "${outfile}"
        inkscape -z -w ${size} -h ${size} --export-png "${outfile}" "${file}"
    done
done

