#ifndef CHANGEPASSWORDPAGE_H
#define CHANGEPASSWORDPAGE_H

// Qt

#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class ChangePasswordPage;
}

class ChangePasswordPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit ChangePasswordPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~ChangePasswordPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

    void changePasswordResult(bool success, const QString &message);

private slots:
    void validate();
    void setMessage(const QString &message);
    void on_button_cancel_clicked();
    void on_button_change_clicked();
    void on_lineEdit_oldPassword_returnPressed();
    void on_lineEdit_newPassword_returnPressed();
    void on_lineEdit_retypeNewPassword_returnPressed();

    void on_label_help_linkActivated(const QString &link);

private:
    Ui::ChangePasswordPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
    QSize m_size;
};

#endif // CHANGEPASSWORDPAGE_H
