#ifndef STASHINFORMATIONPAGE_H
#define STASHINFORMATIONPAGE_H

// Qt
#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class StashInformationPage;
}

class StashInformationPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit StashInformationPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~StashInformationPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void on_label_help_linkActivated(const QString &link);

private:
    Ui::StashInformationPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
    QSize m_size;
};

#endif // STASHINFORMATIONPAGE_H
