#!/bin/bash

showUsage() {
    cat<<eof
Usage: translations.sh [ACTION]

Possible actions:
  update         Updates the translations from the source files.
  release        Compiles the translation files.
eof
}

update() {
    AppDir=$(readlink -f "$0")
    AppDir=${AppDir%/*}

    languages=$(cat 'translations/languages.csv' | cut -d ',' -f 1)

    language_files=
    for lang in ${languages}; do
        language_files="${language_files} translations/MolchEncfsManager_${lang}.ts"
    done

    lupdate -no-obsolete "${AppDir}/3rdparty" "${AppDir}/Core" "${AppDir}/MolchEncfsManager" -ts ${language_files}
}

release() {
    lrelease
}

case "${1}" in
    'update')
        update
        ;;
    *)
        showUsage
        ;;
esac

